using System;
using System.Linq;

namespace Palindrom_šafl
{
    internal class Program
    {
        static void Main(string[] args)
        {

            string s = Console.ReadLine();
            if (s.SequenceEqual(s.Reverse()))
            {
                Console.WriteLine("1");
            }
            else
            {
                int br = 0;
                char[] c = s.ToCharArray();
                int n = s.Length;
                for (int i = 0; i < n/2; i++)
                {
                    if(c[i]!=c[n-i-1])
                        br+=2;
                }
                Console.WriteLine(br);
            }
        }
    }
}